/*********************************************************************************************************
 * 프로그램명 : DBPool.java 프로그램설명 : 각 서블릿 엔진에서 제공하는 전용 pool을 사용하기 위한 클래스 getConnection() 호출마다 서버 체크를 하지 않기 위해 현재 환경만 비주석
 * 처리해서 재컴파일하도록 한다.
 *
 * 작성자 : 강원중 작성일 : 2002.07.22 변경일 : 2002.07.22
 **********************************************************************************************************/

package kr.co.kihyun.db;

import java.io.UnsupportedEncodingException;

public class DBUtil {
    /**
     * 데이터 베이스에 문자열 넣을때 Encoder 변환
     */
    public static String toDB(String str) {
        try {
            return new String(str.getBytes("UTF-8"), "iso-8859-1");
        //44.적절하지 않은 예외처리(광범위예외클래스)_CWE-754 Add by YOUNGJUN,CHO
        } catch (UnsupportedEncodingException ueex) {
            return str;
        //++++++++++++++++++++++++++++++++++++++++++++++++
        } catch (Exception e) {
            return str;
        }
    }

	/**
	 * 데이터 베이스에서 문자열 읽을때 Encoder 변환
	 */
	public static String toJava(String str) {
		return str;
	}

	public static String nullToSpace(String str) {
            return str == null || "".equals(str) || (str != null && str.toLowerCase().equals("null")) ? " " : str;
	}
	public static boolean LogToDB(String ACT,String CLIENT_IP,String CS_URI,
			String DES,String GROUP_ID,String LOCATION,String LOG_LEVEL,
			String DEPT_ID,String USER_ID,String MESSAGE,Long DOC_ID){
		CommonDBManager db=new CommonDBManager();
		try{
			db.execUpdate(
					"insert into moumi_tot_log " +
					" (NUM" +
					",ACT,CLIENT_IP,CS_URI,DES,GROUP_ID,LOCATION,LOG_LEVEL,DEPT_ID,USER_ID,MESSAGE,DOC_ID" +
					",WRITE_DATE) " +
					" values " +
					" ((select count(num)+1 from moumi_tot_log),?,?,?,?,?,?,?,?,?,?,?,sysdate)",
					ACT,CLIENT_IP,CS_URI,DES,GROUP_ID,LOCATION,LOG_LEVEL,DEPT_ID,USER_ID,MESSAGE,DOC_ID);
			db.commit();
		}catch(Exception ex){
			db.rollback();
			ex.printStackTrace();
		}finally{
			db.execClose();
			return false;
		}
	}

}
